BitMagic-C++: Data Fields - Functions

BitMagic-C++

### - r -

- raise_invalid_64bit() : bm::sparse_vector_deserializer< SV >
- raise_invalid_bitdepth() : bm::sparse_vector_deserializer< SV >
- raise_invalid_header() : bm::sparse_vector_deserializer< SV >
- random_subset() : bm::random_subset< BV >
- rank() : bm::bvector< Alloc >
- rank_corrected() : bm::bvector< Alloc >
- read_0runs_block() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- read_bic_arr() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- read_bic_arr_inv() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- read_bic_gap() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- read_digest0_block() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- read_gap_block() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- read_id_list() : bm::deseriaizer_base< DEC, BLOCK_IDX >
- recalc_count() : bm::bvector< Alloc >
- recalc_remap_matrix2() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- reduce() : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- reference() : bm::bvector< Alloc >::reference , bm::rsc_sparse_vector< Val, SV >::reference , bm::sparse_vector< Val, BV >::reference , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >::reference
- remap() : bm::set2set_11_transform< SV >
- remap_from() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- remap_fromsv() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- remap_size() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- remap_tosv() : bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- reserve() : bm::similarity_batch< SDESCR > , bm::sparse_vector_serial_layout< SV >
- reset() : bm::aggregator< BV > , bm::bv_ref_vector< BV > , bm::bv_statistics , bm::bvector< Alloc > , bm::distance_metric_descriptor
- reset_binding() : bm::sparse_vector_scanner< SV >
- reset_compression_stats() : bm::serializer< BV >
- reset_models() : bm::serializer< BV >
- reset_search_range() : bm::sparse_vector_scanner< SV >
- resize() : bm::base_sparse_vector< Val, BV, MAX_SIZE > , bm::bvector< Alloc > , bm::sparse_vector< Val, BV > , bm::sparse_vector_serial_layout< SV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- resize_internal() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- resize_target() : bm::aggregator< BV >
- resolve() : bm::bvps_addr_resolver< BV > , bm::compressed_collection< Value, BV > , bm::rsc_sparse_vector< Val, SV > , bm::sv_addr_resolver< SV >
- resolve_range() : bm::rsc_sparse_vector< Val, SV > , bm::sparse_vector< Val, BV > , bm::str_sparse_vector< CharType, BV, MAX_STR_SIZE >
- resolver() : bm::compressed_collection< Value, BV >
- restore() : bm::gap_transpose_engine< GT, BT, BLOCK_SIZE >
- row() : bm::basic_bmatrix< BV > , bm::tmatrix< T, ROWS, COLS >
- rows() : bm::basic_bmatrix< BV > , bm::tmatrix< T, ROWS, COLS >
- rsc_sparse_vector() : bm::rsc_sparse_vector< Val, SV >
- run() : bm::set2set_11_transform< SV >
- run_step() : bm::aggregator< BV >